final: prev:
{
  libcamera = prev.libcamera.overrideAttrs (old: {
    postPatch = ''
      patchShebangs utils/ src/py/
    '';

    patches = [
      ./0001-Remove-relative-config-lookups.patch
    ];

    mesonFlags = old.mesonFlags ++ [
      "--buildtype=release"
      "-Dpipelines=rpi/vc4"
      "-Dipas=rpi/vc4"
      "-Dgstreamer=enabled"
      "-Dtest=false"
      "-Dcam=enabled"
    ];
  });

  camera-streamer = prev.callPackage ../pkgs/camera-streamer/package.nix {
    libcamera = final.libcamera;
  };
}
